import { select } from 'd3';
import { viz } from './viz';
import { data } from '@ayush-shinde/ev_data';

export const main = (container) => {
  const resize = () => {
    const width = container.clientWidth;
    const height = container.clientHeight;

    const svg = select(container)
      .selectAll('svg')
      .data([null])
      .join('svg')
      .attr('width', width)
      .attr('height', height);

    viz(svg, {
      data,
      xValue: (d) => d.Range,
      xAxisLabelText: 'Driving Range (kms)',
      xAxisLabelOffset: 20,
      yValue: (d) => d.Price,
      yAxisLabelText: 'Price (Euros)',
      yAxisLabelOffset: 17,
      innerRectFill: '#E8E8E8',
      circleRadius: 125 / 20,
      circleOpacity: 600 / 1000,
      marginTop: 20,
      marginBottom: 55,
      marginLeft: 80,
      marginRight: 20,
      width,
      height,
    });
  };

  resize();

  window.addEventListener('resize', resize);
};
